Debian Bug report logs - #558688
live-helper: support hybrid iso/usb-hdd images

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: intrigeri@boum.org

Date: Sun, 29 Nov 2009 21:18:01 UTC

Severity: wishlist

Found in version live-helper/2.0~a1-1

Fixed in version live-helper/2.0~a3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#558688; Package live-helper. (Sun, 29 Nov 2009 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@boum.org:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 29 Nov 2009 21:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@boum.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: support hybrid iso/usb-hdd images
Date: Sun, 29 Nov 2009 22:14:24 +0100
Package: live-helper
Version: 2.0~a1-1
Severity: wishlist

Hi,

as Daniel, being the syslinux maintainer in Debian, already knows,
syslinux >=3.72 supports some kind of hybrid images which can either
be burnt on CD-ROM or raw-copied to a disk (USB stick, etc.); this is
practically achieved by post-processing an ISO image using the bundled
isohybrid script.

Rationale
=========

It would be nice to have live-helper optionally do such
post-processing on the ISO images it builds. It would allow people who
ship live systems built with Debian Live to build, publish and
distribute half less images => less needed disk space, less bandwidth,
more convenient for users, etc.

Would you agree with this?

The other popular way to {build and ship, download} less images is to
use some ISO->USB solution, such as UNetbootin[1], but these tend to
replace our beloved bootloader, that was carefully prepared by Debian
Live, with their own one... potentially loosing most boot options that
were initially proposed to the Live system user. That's why I believe
the hybrid ISO/HDD way to be far better.

  [1] http://unetbootin.sourceforge.net/

Implementation
==============

I'm thinking of implementing this as an optional step done in the
binary.sh script created and run by lh_binary_iso.

As such tweaked ISO images still haven't been tested on a large enough
set of hardware, this would probably need to be a opt-in option.

As Lenny's syslinux does not support booting such images, I'm
pondering between different ways of managing this configuration
variable; my current plan is to always accept it at lh_config time,
but warn if building for <Squeeze, anderror out in lh_binary_iso if
the chroot does not support isohybrid. One could also want to error
out at lh_config time if building for <Squeeze, but it would forbid
building a Lenny image that has a backported, recent enough syslinux
package installed... which I intend to do actually.

Any thoughts?

Details
=======

Please note I had to use the "-entry 4 -type 1c" isohybrid options to
have the resulting ISO boot on my test system once dd'ed to a USB
stick. Being quite ignorant in the field of MBR & partition tables,
here are the explanations I was able to find on the Internet:
- using 4 as the partition number is supposed to help with BIOSes
  that only support USB-Zip boot
- using 1c (i.e. hidden FAT32 LBA), instead of the default 0x17
  (hidden NTFS, IIRC), as the partition type is sometimes needed to
  get the BIOS even look at the partition created by isohybrid.

Unless a "perfect" options combination is found, I'm in favor of
making this configurable.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | Do not be trapped by the need to achieve anything.
  | This way, you achieve everything.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#558688; Package live-helper. (Sun, 29 Nov 2009 21:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 29 Nov 2009 21:51:15 GMT) Full text and rfc822 format available.

Message #10 received at 558688@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: intrigeri@boum.org
Cc: 558688@bugs.debian.org
Subject: Re: Bug#558688: live-helper: support hybrid iso/usb-hdd images
Date: Sun, 29 Nov 2009 22:44:41 +0100
intrigeri@boum.org wrote:
> as Daniel, being the syslinux maintainer in Debian, already knows,
> syslinux >=3.72 supports some kind of hybrid images which can either
> be burnt on CD-ROM or raw-copied to a disk (USB stick, etc.); this is
> practically achieved by post-processing an ISO image using the bundled
> isohybrid script.

jup.. it's on my temporary todo since quite some time..
http://live.debian.net/gitweb?p=tmp.git;a=blob;f=live-helper.txt

> I'm thinking of implementing this as an optional step done in the
> binary.sh script created and run by lh_binary_iso.

as said on irc some weeks ago, it should be an own binary image type, 
iso-hybrid, so that we offer to build 'plain' iso images (-b iso) and 
hybrid ones (-b iso-hybrid), which in turn needs first some 
modifications in lh_binary_iso to factor out the common stuff.

once iso-hyrbid is ready, it will be the default image type for squeeze 
and newer images.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 13 Dec 2009 22:00:08 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@boum.org:
Bug acknowledged by developer. (Sun, 13 Dec 2009 22:00:08 GMT) Full text and rfc822 format available.

Message #15 received at 558688-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 558688-close@bugs.debian.org
Subject: Bug#558688: fixed in live-helper 2.0~a3-1
Date: Sun, 13 Dec 2009 21:58:10 +0000
Source: live-helper
Source-Version: 2.0~a3-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a3-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a3-1.diff.gz
live-helper_2.0~a3-1.dsc
  to main/l/live-helper/live-helper_2.0~a3-1.dsc
live-helper_2.0~a3-1_all.deb
  to main/l/live-helper/live-helper_2.0~a3-1_all.deb
live-helper_2.0~a3.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558688@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Dec 2009 21:41:49 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 558688 560109
Changes: 
 live-helper (2.0~a3-1) unstable; urgency=low
 .
   * Updating icedove-l10n packagename handling for post-lenny, thanks to
     intrigeri <intrigeri@boum.org>.
   * Adding a 'sleep 1' before removing the loopdevice when creating usb-
     hdd images.
   * Don't try to install parameters.txt for casper in ubuntu mode
     (Closes: #560109).
   * Removing lpia support, this architecture is dead.
   * Setting win32-loader to disabled in ubuntu mode.
   * Adding explicit debian source version 1.0 until switch to 3.0.
   * For consistency, using true|false instead of enabled|disabled in
     configuration options.
   * Adding experimental support for isohybrid (Closes: #558688).
Checksums-Sha1: 
 dd53e666b25381002bb38f9acc6c2b4ce5a22197 1232 live-helper_2.0~a3-1.dsc
 bb787111eddb12d2c537c9d424cefbf55dd3b966 2219108 live-helper_2.0~a3.orig.tar.gz
 3ca62d7ef3dcf21238c101f41ea3ec378dbd045a 29978 live-helper_2.0~a3-1.diff.gz
 6d8bb490d36e17544cb49a92428cf5df2c55fd85 1098792 live-helper_2.0~a3-1_all.deb
Checksums-Sha256: 
 4b6112bd770189bbdd77ebe2477870af75acb7fd0df064665b9162faab4fc64e 1232 live-helper_2.0~a3-1.dsc
 8fae94ef7790668c6e6931f6a36f816cbbf0e985bff94244ff2baaba1c19f454 2219108 live-helper_2.0~a3.orig.tar.gz
 36f21836f3a0fdf9a5913a769fd5c30fc1ad09215255c281f26372cadaeff7dd 29978 live-helper_2.0~a3-1.diff.gz
 313a8a19ae60679b9714bf3f1d1d18892a742e277b65f8cf7eeac6548013711c 1098792 live-helper_2.0~a3-1_all.deb
Files: 
 73221942f3e351872cd146ad788e40a2 1232 misc optional live-helper_2.0~a3-1.dsc
 1b6d607abda097f626bb55c71bc86d2f 2219108 misc optional live-helper_2.0~a3.orig.tar.gz
 0d2bec12caef8f4fdbefb01eb0d052b7 29978 misc optional live-helper_2.0~a3-1.diff.gz
 e5401eec3bc4943b67f843aef96a3344 1098792 misc optional live-helper_2.0~a3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkslUyMACgkQ+C5cwEsrK54OLQCgm5zubXww9eIAv1AeYgu0GhvW
ok0AnjRqJKk9iBIW43O4JpsOTPNNujMK
=Tkd6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jan 2010 07:38:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:17:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.